Summary   	: A utility that manages print jobs.
Name	  	: hhl-target-lpr
Version	  	: 0.50
Release	  	: %{_hhl_build_id}.2
Source		: lpr-%{version}.tar.gz
Source1: lpr.tmpl
Patch		: lpr_2000.05.07-4.diff.gz
Patch1		: lpr-%{version}-makefile.patch      
Patch2		: lpr-initd.patch
License 	: BSD
Group	  	: System Environment/Daemons
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
%description

The lpr package provides the basic system utility for managing printing
services.  Lpr manages print queues, sends print jobs to local and remote
printers and accepts print jobs from remote clients.

If you will be printing from your system, you'll need to install the lpr
package.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-lpr
Summary		: A utility that manages print jobs.
Group		: System Environment/Daemons
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-lpr

The lpr package provides the basic system utility for managing printing
services.  Lpr manages print queues, sends print jobs to local and remote
printers and accepts print jobs from remote clients.

If you will be printing from your system, you'll need to install the lpr
package.

%prep

%target_check

%setup -n lpr-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

make CC=%{_hhl_target_toolprefix}gcc LDLIBS="-lcommon -L../common_source" CFLAGS="-Wall -I../common_source"

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

rm -f objdir
ln  -s . objdir

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/usr/{bin,sbin,share/man/man{1,5,8}}
%target_makeinstall DESTDIR=%{buildroot}%{_hhl_cross_target_dir}

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/cron.weekly
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d

install debian/init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/lpd
install debian/cron.weekly  %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/cron.weekly/lpr
install debian/printcap %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/printcap

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/spool/lpd
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/spool/lpd/lp
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/spool/lpd/remote

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
cd ..
cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lpr

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-lpr
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/lpd
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/cron.weekly/lpr
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/printcap
%attr(6775,root,lp) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lpq
%attr(6775,root,lp) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lpr
%attr(6775,root,lp) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lprm
%attr(2775,root,lp) %{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lpc
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lptest
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lpd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lpf
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/pac
%attr(2775,lp,lp) %dir %{_hhl_cross_target_dir}/var/spool/lpd
%attr(2775,lp,lp) %dir %{_hhl_cross_target_dir}/var/spool/lpd/lp
%attr(2775,lp,lp) %dir %{_hhl_cross_target_dir}/var/spool/lpd/remote
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpq.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lprm.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lptest.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/printcap.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lpc.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lpd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/pac.8.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lpr

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 06 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
